function [ u0 ] = UINIT(x,y)
% 
% Written by:
% -- 
% John L. Weatherwax                2006-03-11
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----
 
[X,Y] = meshgrid(x,y); 

u0 = zeros(2,length(x),length(y));
u0(1,:,:) = X+Y;
u0(2,:,:) = 2.0*X+3.0*Y;
