% 
% Written by:
% -- 
% John L. Weatherwax                2006-07-12
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

close all; 

load( 'eg1.mat' ); 
for si=2:length(tgrid), % don't plot the initial condition ...
  u = squeeze(U(1,:,:,si)).';
  figure; 
  %subplot(1,2,1); 
  %mesh(X,Y,u); xlabel('X'); ylabel('Y'); zlabel('U'); %title( 'approximate solution U' ); 
  %subplot(1,2,2); 
  imagesc(xgrid,ygrid,u.'); %colorbar; 
  xlabel('X'); ylabel('Y'); zlabel('U'); axis xy; title( ['approximate solution U(x,y,t=',num2str(tgrid(si)), ')' ] ); 
  saveas(gcf, ['advec_diff_sol_',num2str(si),'.jpg'], 'jpg' ); 
end

figure; mesh(X,Y,u); xlabel('X'); ylabel('Y'); zlabel('U');
axis( [ -5 10 0 10 0 0.06 ] ); 
saveas(gcf, ['advec_diff_sol_',num2str(si),'_mesh.jpg'], 'jpg' ); 